Comment #11 on issue 493 by owen.oma...@gmail.com: protobuf-java (2.5.0) GeneratedMessage#getUnknownFields() not implemented
http://code.google.com/p/protobuf/issues/detail?id=493

For your own project, regenerating the code is not unreasonable.

The problem comes when you use ant/ivy or maven to pull in a jar that you depend on and that dependent jar uses protobuf. It isn't clear that they use protobuf and it certainly isn't clear which version of protoc they used. If they happened to use a different protoc version then you'll get runtime error with a cryptic error message. For example, if I add the dependence:

<dependency>
     <groupId>org.apache.hadoop</groupId>
     <artifactId>hadoop-mapreduce</artifactId>
     <version>2.2.0</version>
</dependency>

I need to investigate whether it uses protobuf and which version. Otherwise, it will blow up at runtime. Furthermore, I can only use versions of the many different open source projects that use exactly the same version of protobuf.

--
You received this message because this project is configured to send all issue notifications to this address.
You may adjust your notification preferences at:
https://code.google.com/hosting/settings

--
You received this message because you are subscribed to the Google Groups "Protocol 
Buffers" group.
To unsubscribe from this group and stop receiving emails from it, send an email 
to protobuf+unsubscr...@googlegroups.com.
To post to this group, send email to protobuf@googlegroups.com.
Visit this group at http://groups.google.com/group/protobuf.
For more options, visit https://groups.google.com/d/optout.

Reply via email to